from defence360agent.utils import run


async def is_running():
    try:
        rc, *_ = await run(["fail2ban-client", "status"])
        return rc == 0
    except (FileNotFoundError, NotADirectoryError):
        return False
